Package org.eclipse.ecf.remoteservice.provider

## Class RemoteServiceDistributionProvider.Builder

- java.lang.Object
- - org.eclipse.ecf.remoteservice.provider.RemoteServiceDistributionProvider.Builder

Enclosing class:
  RemoteServiceDistributionProvider

    public static class RemoteServiceDistributionProvider.Builder
    extends Object

Builder for RemoteServiceDistributionProvider instances

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RemoteServiceDistributionProvider.Builder` `addAdapterConfig​(AdapterConfig adapterConfig)`
`RemoteServiceDistributionProvider` `build()`
`RemoteServiceDistributionProvider.Builder` `setAdapterConfig​(AdapterConfig adapterConfig)`
`RemoteServiceDistributionProvider.Builder` `setContainerTypeDescriptionProperties​(Dictionary<String,​?> props)`
`RemoteServiceDistributionProvider.Builder` `setDescription​(String desc)`
`RemoteServiceDistributionProvider.Builder` `setHidden​(boolean hidden)`
`RemoteServiceDistributionProvider.Builder` `setInstantiator​(IContainerInstantiator instantiator)`
`RemoteServiceDistributionProvider.Builder` `setName​(String name)`
`RemoteServiceDistributionProvider.Builder` `setNamespace​(Namespace ns)`
`RemoteServiceDistributionProvider.Builder` `setNamespaceProperties​(Dictionary<String,​?> props)`
`RemoteServiceDistributionProvider.Builder` `setServer​(boolean server)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### setName

    public RemoteServiceDistributionProvider.Builder setName​(String name)

#### setInstantiator

    public RemoteServiceDistributionProvider.Builder setInstantiator​(IContainerInstantiator instantiator)

#### setDescription

    public RemoteServiceDistributionProvider.Builder setDescription​(String desc)

#### setServer

    public RemoteServiceDistributionProvider.Builder setServer​(boolean server)

#### setHidden

    public RemoteServiceDistributionProvider.Builder setHidden​(boolean hidden)

#### setNamespace

    public RemoteServiceDistributionProvider.Builder setNamespace​(Namespace ns)

#### setContainerTypeDescriptionProperties

    public RemoteServiceDistributionProvider.Builder setContainerTypeDescriptionProperties​(Dictionary<String,​?> props)

#### setNamespaceProperties

    public RemoteServiceDistributionProvider.Builder setNamespaceProperties​(Dictionary<String,​?> props)

#### setAdapterConfig

    public RemoteServiceDistributionProvider.Builder setAdapterConfig​(AdapterConfig adapterConfig)

#### addAdapterConfig

    public RemoteServiceDistributionProvider.Builder addAdapterConfig​(AdapterConfig adapterConfig)

#### build

    public RemoteServiceDistributionProvider build()